Index: trunk/src/globals.h
===================================================================
--- trunk/src/globals.h	(revision 95)
+++ trunk/src/globals.h	(revision 96)
@@ -39,6 +39,8 @@
 // TSPSG Defaults
 #include "defaults.h"
-// Vista/7 Eyecandy
-#include "qtwin.h"
+#ifdef Q_OS_WIN32
+	// Vista/7 Eyecandy
+	#include "qtwin.h"
+#endif // Q_OS_WIN32
 
 // DEFINES
@@ -50,18 +52,17 @@
 // Paths
 /*!
- * \def PATH_I18N
+ * \def PATH_L10N
  * \brief Bath to internationalization files.
  */
+#ifndef PATH_L10N
+	#define PATH_L10N "l10n"
+#endif // PATH_L10N
 /*!
  * \def PATH_DOCS
  * \brief Bath to documentation files.
  */
-#if defined(Q_OS_LINUX) || (defined(Q_OS_UNIX) && !defined(Q_OS_SYMBIAN))
-	#define PATH_I18N "/usr/share/tspsg/i18n"
-	#define PATH_DOCS "/usr/share/doc/tspsg"
-#else
-	#define PATH_I18N "i18n"
+#ifndef PATH_DOCS
 	#define PATH_DOCS "help"
-#endif // Q_OS_LINUX
+#endif // PATH_DOCS
 
 //! TSPSG Task file signature - letters \c TSPT
Index: trunk/src/main.cpp
===================================================================
--- trunk/src/main.cpp	(revision 95)
+++ trunk/src/main.cpp	(revision 96)
@@ -54,5 +54,5 @@
 
 QTranslator en;
-	if (en.load("tspsg_en", PATH_I18N))
+	if (en.load("tspsg_en", PATH_L10N))
 		app.installTranslator(&en);
 
Index: trunk/src/mainwindow.cpp
===================================================================
--- trunk/src/mainwindow.cpp	(revision 95)
+++ trunk/src/mainwindow.cpp	(revision 96)
@@ -149,5 +149,6 @@
 void MainWindow::actionFileSaveTriggered()
 {
-	if ((fileName == tr("Untitled") + ".tspt") || (!fileName.endsWith(".tspt",Qt::CaseInsensitive)))
+	qDebug() << tr("Untitled");
+	if ((fileName == tr("Untitled") + ".tspt") || (!fileName.endsWith(".tspt", Qt::CaseInsensitive)))
 		saveTask();
 	else
@@ -311,5 +312,5 @@
 	title += QString::fromUtf8("<b><a href=\"http://tspsg.sourceforge.net/\">http://tspsg.sf.net/</a></b><br>");
 QString about;
-	about += QString::fromUtf8("Target OS: <b>%1</b><br>").arg(OS);
+	about += QString::fromUtf8("Target OS (ARCH): <b>%1</b><br>").arg(OS);
 #ifndef STATIC_BUILD
 	about += "Qt library (shared):<br>";
@@ -320,6 +321,6 @@
 #endif // STATIC_BUILD
 	about += QString::fromUtf8("Built on <b>%1</b> at <b>%2</b><br>").arg(__DATE__).arg(__TIME__);
-	about += "<br>";
-	about += QString::fromUtf8("Id: <b>"VERSIONID"</b><br>");
+//	about += "<br>";
+//	about += QString::fromUtf8("Id: <b>"VERSIONID"</b><br>");
 	about += QString::fromUtf8("Algorithm: <b>%1</b><br>").arg(CTSPSolver::getVersionId());
 	about += "<br>";
@@ -372,10 +373,12 @@
 	connect(bb, SIGNAL(accepted()), dlg, SLOT(accept()));
 
+#ifdef Q_OS_WIN32
 	// Adding some eyecandy in Vista and 7 :-)
 	if (QtWin::isCompositionEnabled())  {
 		QtWin::enableBlurBehindWindow(dlg, true);
 	}
-
-	dlg->resize(410, 300);
+#endif // Q_OS_WIN32
+
+	dlg->resize(480, 400);
 	dlg->exec();
 
@@ -599,5 +602,5 @@
 void MainWindow::loadLangList()
 {
-QDir dir(PATH_I18N, "tspsg_*.qm", QDir::Name | QDir::IgnoreCase, QDir::Files);
+QDir dir(PATH_L10N, "tspsg_*.qm", QDir::Name | QDir::IgnoreCase, QDir::Files);
 	if (!dir.exists())
 		return;
@@ -610,5 +613,5 @@
 	for (int k = 0; k < langs.size(); k++) {
 		QFileInfo lang = langs.at(k);
-		if (lang.completeBaseName().compare("tspsg_en", Qt::CaseInsensitive) && t.load(lang.completeBaseName(), PATH_I18N)) {
+		if (lang.completeBaseName().compare("tspsg_en", Qt::CaseInsensitive) && t.load(lang.completeBaseName(), PATH_L10N)) {
 			name = t.translate("--------", "LANGNAME", "Please, provide a native name of your translation language here.");
 			a = menuSettingsLanguage->addAction(name);
@@ -654,5 +657,5 @@
 	else {
 		// No luck. Let's try to load a bundled one.
-		if (qtTranslator->load("qt_" + lng, PATH_I18N))
+		if (qtTranslator->load("qt_" + lng, PATH_L10N))
 			qApp->installTranslator(qtTranslator);
 		else {
@@ -665,5 +668,5 @@
 	// Now let's load application translation.
 	translator = new QTranslator(this);
-	if (translator->load("tspsg_" + lng, PATH_I18N))
+	if (translator->load("tspsg_" + lng, PATH_L10N))
 		qApp->installTranslator(translator);
 	else {
@@ -863,8 +866,10 @@
 	retranslateUi(false);
 
+#ifdef Q_OS_WIN32
 	// Adding some eyecandy in Vista and 7 :-)
 	if (QtWin::isCompositionEnabled() && settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool())  {
 		toggleTranclucency(true);
 	}
+#endif // Q_OS_WIN32
 }
 
@@ -884,4 +889,5 @@
 void MainWindow::toggleTranclucency(bool enable)
 {
+#ifdef Q_OS_WIN32
 	QtWin::enableBlurBehindWindow(this, enable);
 	QtWin::enableBlurBehindWindow(tabWidget, enable);
@@ -891,3 +897,6 @@
 	if (QtWin::enableBlurBehindWindow(tabSolution, enable))
 		tabSolution->setAutoFillBackground(enable);
-}
+#else
+	Q_UNUSED(enable);
+#endif // Q_OS_WIN32
+}
Index: trunk/src/qtwin.cpp
===================================================================
--- trunk/src/qtwin.cpp	(revision 95)
+++ trunk/src/qtwin.cpp	(revision 96)
@@ -115,4 +115,6 @@
 {
     Q_ASSERT(widget);
+    Q_UNUSED(widget);
+    Q_UNUSED(enable);
     bool result = false;
 #ifdef Q_WS_WIN
@@ -151,4 +153,5 @@
 
     Q_ASSERT(widget);
+    Q_UNUSED(widget);
     Q_UNUSED(left);
     Q_UNUSED(top);
Index: trunk/src/settingsdialog.cpp
===================================================================
--- trunk/src/settingsdialog.cpp	(revision 95)
+++ trunk/src/settingsdialog.cpp	(revision 96)
@@ -76,4 +76,5 @@
 QHBoxLayout *hbox1;
 
+#ifdef Q_OS_WIN32
 	if (QtWin::isCompositionEnabled()) {
 		cbUseTranslucency = new QCheckBox(bgWhite);
@@ -85,4 +86,5 @@
 		cbUseTranslucency->setCursor(QCursor(Qt::PointingHandCursor));
 	}
+#endif // Q_OS_WIN32
 
 	cbSaveState = new QCheckBox(bgWhite);
Index: trunk/src/version.h
===================================================================
--- trunk/src/version.h	(revision 95)
+++ trunk/src/version.h	(revision 96)
@@ -52,9 +52,9 @@
 
 //! TSPSG version ID
-#define VERSIONID "$Id$"
+//#define VERSIONID "$Id$"
 //! Major version of current TSPSG build
-#define BUILD_VERSION_MAJOR 0
+//#define BUILD_VERSION_MAJOR 0
 //! Minor version of current TSPSG build
-#define BUILD_VERSION_MINOR 1
+//#define BUILD_VERSION_MINOR 1
 /*!
  * \brief TSPSG release number
@@ -66,5 +66,5 @@
  *    - 11 --  x: <b>release</b> 1 to x-10
  */
-#define BUILD_RELEASE 2
+//#define BUILD_RELEASE 2
 
 /*!
@@ -73,5 +73,5 @@
  *  This will only change on releases and will be the same as revision number.
  */
-#define BUILD_NUMBER 65535
+//#define BUILD_NUMBER 65535
 
 /*!
@@ -81,5 +81,5 @@
  * Determined based on BUILD_NUMBER and BUILD_RELEASE.
  */
-#if BUILD_NUMBER == 65535
+#ifndef TSPSG_RELEASE_BUILD
 	#define BUILD_STATUS (dev build)
 #else
@@ -90,8 +90,8 @@
 	#elif BUILD_RELEASE < 11
 		#define BUILD_STATUS (rc)
-	#else
-		#define BUILD_STATUS
+//	#else
+//		#define BUILD_STATUS
 	#endif
-#endif // BUILD_NUMBER == 65535
+#endif // TSPSG_RELEASE_BUILD
 
 //! \internal \brief A helper for QUOTE(x).
@@ -102,10 +102,10 @@
 /*!
  * \def BUILD_VERSION
- * \brief Full version of TSPSG in the form: \c major.\c minor.\c release[ \c status].
+ * \brief Full version of TSPSG in the form: \c major.\c minor.\c release.\c build [ \c status].
  */
 #ifndef BUILD_STATUS
-	#define BUILD_VERSION QUOTE(BUILD_VERSION_MAJOR.BUILD_VERSION_MINOR.BUILD_RELEASE)
+	#define BUILD_VERSION QUOTE(BUILD_VERSION_MAJOR.BUILD_VERSION_MINOR.BUILD_RELEASE.BUILD_NUMBER)
 #else
-	#define BUILD_VERSION QUOTE(BUILD_VERSION_MAJOR.BUILD_VERSION_MINOR.BUILD_RELEASE BUILD_STATUS)
+	#define BUILD_VERSION QUOTE(BUILD_VERSION_MAJOR.BUILD_VERSION_MINOR.BUILD_RELEASE.BUILD_NUMBER BUILD_STATUS)
 #endif
 