Index: src/os.h
===================================================================
--- src/os.h	(revision bbac1ebb130412febe406755b04cda6dbffdfa19)
+++ src/os.h	(revision 97e90f9be66660ad9a84d17886156a3b1ba255d3)
@@ -39,17 +39,17 @@
  */
 #if defined(__amd64__) || defined(_M_X64)
-	#define ARCH " (AMD 64-bit)"
+#	define ARCH " (AMD 64-bit)"
 #elif defined(__ia64__) || defined(_M_IA64)
-	#define ARCH " (Intel 64-bit)"
+#	define ARCH " (Intel 64-bit)"
 #elif defined(__i386__) || defined(_M_IX86) || defined(_X86_)
-	#define ARCH " (Intel x86)"
+#	define ARCH " (Intel x86)"
 #elif defined(__powerpc__) || defined(_M_PPC)
-	#define ARCH " (PowerPC)"
+#	define ARCH " (PowerPC)"
 #elif defined(__arm__) || defined(_M_ARM)
-	#define ARCH " (ARM)"
+#	define ARCH " (ARM)"
 #elif defined(__mips__) || defined(_M_MRX000)
-	#define ARCH " (MIPS)"
+#	define ARCH " (MIPS)"
 #else
-	#define ARCH ""
+#	define ARCH ""
 #endif // ARCH
 
@@ -66,96 +66,90 @@
  */
 #ifdef Q_OS_AIX
-	#define OS "AIX"
-	#define OSID quint8(1)
-#elif defined Q_OS_BSD4
-	#define OS "BSD 4.4"
-	#define OSID quint8(2)
-#elif defined Q_OS_BSDI
-	#define OS "BSD/OS"
-	#define OSID quint8(3)
-#elif defined Q_OS_CYGWIN
-	#define OS "Cygwin"
-	#define OSID quint8(4)
-#elif defined Q_OS_DGUX
-	#define OS "DG/UX"
-	#define OSID quint8(5)
-#elif defined Q_OS_DYNIX
-	#define OS "DYNIX/ptx"
-	#define OSID quint8(6)
-#elif defined Q_OS_FREEBSD
-	#define OS "FreeBSD"
-	#define OSID quint8(7)
-#elif defined Q_OS_HPUX
-	#define OS "HP-UX"
-	#define OSID quint8(8)
-#elif defined Q_OS_HURD
-	#define OS "GNU Hurd"
-	#define OSID quint8(9)
-#elif defined Q_OS_IRIX
-	#define OS "SGI Irix"
-	#define OSID quint8(10)
-#elif defined Q_OS_LINUX
-	#define OS "Linux"
-	#define OSID quint8(11)
-#elif defined Q_OS_LYNX
-	#define OS "LynxOS"
-	#define OSID quint8(12)
-#elif defined Q_OS_MAC
-	#define OS "Mac OS (Darwin)"
-	#define OSID quint8(13)
-#elif defined Q_OS_MSDOS
-	#define OS "MS-DOS"
-	#define OSID quint8(14)
-#elif defined Q_OS_NETBSD
-	#define OS "NetBSD"
-	#define OSID quint8(15)
-#elif defined Q_OS_OS2
-	#define OS "OS/2"
-	#define OSID quint8(16)
-#elif defined Q_OS_OPENBSD
-	#define OS "OpenBSD"
-	#define OSID quint8(17)
-#elif defined Q_OS_OS2EMX
-	#define OS "OS/2"
-	#define OSID quint8(18)
-#elif defined Q_OS_OSF
-	#define OS "HP Tru64 UNIX"
-	#define OSID quint8(19)
-#elif defined Q_OS_QNX
-	#define OS "QNX Neutrino"
-	#define OSID quint8(20)
-#elif defined Q_OS_RELIANT
-	#define OS "Reliant UNIX"
-	#define OSID quint8(21)
-#elif defined Q_OS_SCO
-	#define OS "SCO OpenServer 5"
-	#define OSID quint8(22)
-#elif defined Q_OS_SOLARIS
-	#define OS "Sun Solaris"
-	#define OSID quint8(23)
-#elif defined Q_OS_SYMBIAN
-	#define OS "Symbian"
-	#define OSID quint8(24)
-#elif defined Q_OS_ULTRIX
-	#define OS "DEC Ultrix"
-	#define OSID quint8(25)
-#elif defined Q_OS_UNIX
-	#define OS "UNIX BSD/SYSV"
-	#define OSID quint8(26)
-#elif defined Q_OS_UNIXWARE
-	#define OS "UnixWare 7/Open UNIX 8"
-	#define OSID quint8(27)
-#elif defined Q_OS_WIN32
-	#define OS "Windows"
-	#define OSID quint8(28)
-#elif defined Q_OS_WINCE_WM
-	#define OS "Windows Mobile"
-	#define OSID quint8(29)
-#elif defined Q_OS_WINCE
-	#define OS "Windows CE"
-	#define OSID quint8(30)
+#	define OS "AIX"
+#	define OSID quint8(1)
+#elif defined(Q_OS_BSDI)
+#	define OS "BSD/OS"
+#	define OSID quint8(2)
+#elif defined(Q_OS_CYGWIN)
+#	define OS "Cygwin"
+#	define OSID quint8(3)
+#elif defined(Q_OS_DARWIN)
+#	define OS "Mac OS (Darwin)"
+#	define OSID quint8(4)
+#elif defined(Q_OS_DGUX)
+#	define OS "DG/UX"
+#	define OSID quint8(5)
+#elif defined(Q_OS_DYNIX)
+#	define OS "DYNIX/ptx"
+#	define OSID quint8(6)
+#elif defined(Q_OS_FREEBSD)
+#	define OS "FreeBSD"
+#	define OSID quint8(7)
+#elif defined(Q_OS_HPUX)
+#	define OS "HP-UX"
+#	define OSID quint8(8)
+#elif defined(Q_OS_HURD)
+#	define OS "GNU Hurd"
+#	define OSID quint8(9)
+#elif defined(Q_OS_IRIX)
+#	define OS "SGI Irix"
+#	define OSID quint8(10)
+#elif defined(Q_OS_LINUX)
+#	define OS "Linux"
+#	define OSID quint8(11)
+#elif defined(Q_OS_LYNX)
+#	define OS "LynxOS"
+#	define OSID quint8(12)
+#elif defined(Q_OS_NETBSD)
+#	define OS "NetBSD"
+#	define OSID quint8(13)
+#elif defined(Q_OS_OPENBSD)
+#	define OS "OpenBSD"
+#	define OSID quint8(14)
+#elif defined(Q_OS_OS2EMX)
+#	define OS "OS/2"
+#	define OSID quint8(15)
+#elif defined(Q_OS_OSF)
+#	define OS "HP Tru64 UNIX"
+#	define OSID quint8(16)
+#elif defined(Q_OS_QNX)
+#	define OS "QNX Neutrino"
+#	define OSID quint8(17)
+#elif defined(Q_OS_RELIANT)
+#	define OS "Reliant UNIX"
+#	define OSID quint8(18)
+#elif defined(Q_OS_SCO)
+#	define OS "SCO OpenServer 5"
+#	define OSID quint8(19)
+#elif defined(Q_OS_SOLARIS)
+#	define OS "Sun Solaris"
+#	define OSID quint8(20)
+#elif defined(Q_OS_SYMBIAN)
+#	define OS "Symbian"
+#	define OSID quint8(21)
+#elif defined(Q_OS_ULTRIX)
+#	define OS "DEC Ultrix"
+#	define OSID quint8(22)
+#elif defined(Q_OS_UNIXWARE)
+#	define OS "UnixWare 7/Open UNIX 8"
+#	define OSID quint8(23)
+#elif defined(Q_OS_WIN32)
+#	define OS "Windows"
+#	define OSID quint8(24)
+#elif defined(Q_OS_WINCE_WM)
+#	define OS "Windows Mobile"
+#	define OSID quint8(25)
+#elif defined(Q_OS_WINCE)
+#	define OS "Windows CE"
+#	define OSID quint8(26)
+#elif defined(Q_OS_BSD4)
+#	define OS "BSD 4.4"
+#	define OSID quint8(253)
+#elif defined(Q_OS_UNIX)
+#	define OS "UNIX BSD/SYSV"
+#	define OSID quint8(254)
 #else
-	#define OS "Unknown"
-	#define OSID quint8(255)
+#	define OS "Unknown"
+#	define OSID quint8(255)
 #endif // OS
 
@@ -167,18 +161,20 @@
  * \brief The compiler TSPSG was built with.
  */
-#ifdef Q_CC_MSVC
-	#define COMPILER "Microsoft Visual C/C++ or Intel C++ for Windows"
+#ifdef Q_CC_INTEL
+#	define COMPILER "Intel C++"
+#elif defined(Q_CC_MSVC)
+#	define COMPILER "Microsoft Visual C/C++"
+#elif defined(Q_CC_MINGW)
+#	define COMPILER "MinGW GCC"
 #elif defined(Q_CC_GNU)
-	#define COMPILER "GNU C++"
-#elif defined(Q_CC_INTEL)
-	#define COMPILER "Intel C++ for Linux or Intel C++ for Windows"
+#	define COMPILER "GNU C++"
 #elif defined(Q_CC_GCCE)
-	#define COMPILER "GCCE (Symbian GCCE builds)"
+#	define COMPILER "GCCE (Symbian GCCE builds)"
 #elif defined(Q_CC_RVCT)
-	#define COMPILER "ARM Realview Compiler Suite"
+#	define COMPILER "ARM Realview Compiler Suite"
 #elif defined(Q_CC_NOKIAX86)
-	#define COMPILER "Nokia x86 (Symbian WINSCW builds)"
+#	define COMPILER "Nokia x86 (Symbian WINSCW builds)"
 #else
-	#define COMPILER "Unknown"
+#	define COMPILER "Unknown"
 #endif
 