Index: trunk/docs/html/defaults_8h.html
===================================================================
--- trunk/docs/html/defaults_8h.html	(revision 97)
+++ trunk/docs/html/defaults_8h.html	(revision 100)
@@ -108,5 +108,7 @@
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="defaults_8h.html#a4d1fa8b5b2b213595f30e55d75070ed2">DEF_NUM_CITIES</a>&nbsp;&nbsp;&nbsp;5</td></tr>
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default number of cities. <br/></td></tr>
-<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="defaults_8h.html#a26cf35c10c1ed2eab930d839284842c6">DEF_AUTOSIZE</a>&nbsp;&nbsp;&nbsp;true</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a26cf35c10c1ed2eab930d839284842c6"></a><!-- doxytag: member="defaults.h::DEF_AUTOSIZE" ref="a26cf35c10c1ed2eab930d839284842c6" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="defaults_8h.html#a26cf35c10c1ed2eab930d839284842c6">DEF_AUTOSIZE</a>&nbsp;&nbsp;&nbsp;true</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default for "Automatically resize rows and columns to their contents". <br/></td></tr>
 <tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6bbdc41d8e9d2d8050fb973f058a5521"></a><!-- doxytag: member="defaults.h::DEF_USE_NATIVE_DIALOGS" ref="a6bbdc41d8e9d2d8050fb973f058a5521" args="" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="defaults_8h.html#a6bbdc41d8e9d2d8050fb973f058a5521">DEF_USE_NATIVE_DIALOGS</a>&nbsp;&nbsp;&nbsp;true</td></tr>
@@ -118,5 +120,7 @@
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="defaults_8h.html#a1514694a06d7bb7c282913d8474be546">DEF_USE_TRANSLUCENCY</a>&nbsp;&nbsp;&nbsp;true</td></tr>
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default for "Use translucency effects in Vista/7". <br/></td></tr>
-<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="defaults_8h.html#afd1234d6d4416db1f37831403b3e2dbe">DEF_FRACTIONAL_ACCURACY</a>&nbsp;&nbsp;&nbsp;2</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd1234d6d4416db1f37831403b3e2dbe"></a><!-- doxytag: member="defaults.h::DEF_FRACTIONAL_ACCURACY" ref="afd1234d6d4416db1f37831403b3e2dbe" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="defaults_8h.html#afd1234d6d4416db1f37831403b3e2dbe">DEF_FRACTIONAL_ACCURACY</a>&nbsp;&nbsp;&nbsp;2</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default for "Accuracy of the fractional values". <br/></td></tr>
 <tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21dd408136bbab225a4f5e2c42f85643"></a><!-- doxytag: member="defaults.h::DEF_RAND_MIN" ref="a21dd408136bbab225a4f5e2c42f85643" args="" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="defaults_8h.html#a21dd408136bbab225a4f5e2c42f85643">DEF_RAND_MIN</a>&nbsp;&nbsp;&nbsp;1</td></tr>
@@ -131,5 +135,7 @@
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="defaults_8h.html#af249ec8d65a40ef0b19738492d12948a">DEF_SYMMETRIC_MODE</a>&nbsp;&nbsp;&nbsp;false</td></tr>
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default for "Symmetric tasks mode". <br/></td></tr>
-<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="defaults_8h.html#a616d74fa946123f424193b007d5a6382">DEF_SHOW_MATRIX</a>&nbsp;&nbsp;&nbsp;true</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a616d74fa946123f424193b007d5a6382"></a><!-- doxytag: member="defaults.h::DEF_SHOW_MATRIX" ref="a616d74fa946123f424193b007d5a6382" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="defaults_8h.html#a616d74fa946123f424193b007d5a6382">DEF_SHOW_MATRIX</a>&nbsp;&nbsp;&nbsp;true</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default for "Show solution steps' matrices for every solution step". <br/></td></tr>
 <tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae37fe7eb909d7fd076f067900e900c0e"></a><!-- doxytag: member="defaults.h::DEF_USE_SHOW_MATRIX_LIMIT" ref="ae37fe7eb909d7fd076f067900e900c0e" args="" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="defaults_8h.html#ae37fe7eb909d7fd076f067900e900c0e">DEF_USE_SHOW_MATRIX_LIMIT</a>&nbsp;&nbsp;&nbsp;true</td></tr>
@@ -154,5 +160,5 @@
 <p>Contains TSPSG defaults. </p>
 <dl class="author"><dt><b>Author:</b></dt><dd>Copyright &copy; 2007-2010 Lёppa &lt;contacts[at]oleksii[dot]name&gt;</dd></dl>
-<dl class="rcs"><dt><b>Id</b></dt><dd><a class="el" href="defaults_8h.html" title="Contains TSPSG defaults.">defaults.h</a> 95 2010-02-27 13:13:50Z laleppa </dd></dl>
+<dl class="rcs"><dt><b>Id</b></dt><dd><a class="el" href="defaults_8h.html" title="Contains TSPSG defaults.">defaults.h</a> 97 2010-03-02 23:55:23Z laleppa </dd></dl>
 <dl class="rcs"><dt><b>URL</b></dt><dd><a href="https://tspsg.svn.sourceforge.net/svnroot/tspsg/trunk/src/defaults.h">https://tspsg.svn.sourceforge.net/svnroot/tspsg/trunk/src/defaults.h</a> </dd></dl>
 <p><b>TSPSG: TSP Solver and Generator</b></p>
@@ -161,47 +167,4 @@
 <p>TSPSG is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.</p>
 <p>You should have received a copy of the GNU General Public License along with TSPSG. If not, see &lt;<a href="http://www.gnu.org/licenses/">http://www.gnu.org/licenses/</a>&gt;. </p>
-<hr/><h2>Define Documentation</h2>
-<a class="anchor" id="a26cf35c10c1ed2eab930d839284842c6"></a><!-- doxytag: member="defaults.h::DEF_AUTOSIZE" ref="a26cf35c10c1ed2eab930d839284842c6" args="" -->
-<div class="memitem">
-<div class="memproto">
-      <table class="memname">
-        <tr>
-          <td class="memname">#define DEF_AUTOSIZE&nbsp;&nbsp;&nbsp;true</td>
-        </tr>
-      </table>
-</div>
-<div class="memdoc">
-<p>GENERAL Default for "Automatically resize rows and columns to their contents" </p>
-
-</div>
-</div>
-<a class="anchor" id="afd1234d6d4416db1f37831403b3e2dbe"></a><!-- doxytag: member="defaults.h::DEF_FRACTIONAL_ACCURACY" ref="afd1234d6d4416db1f37831403b3e2dbe" args="" -->
-<div class="memitem">
-<div class="memproto">
-      <table class="memname">
-        <tr>
-          <td class="memname">#define DEF_FRACTIONAL_ACCURACY&nbsp;&nbsp;&nbsp;2</td>
-        </tr>
-      </table>
-</div>
-<div class="memdoc">
-<p>TASK Default for "Accuracy of the fractional values" </p>
-
-</div>
-</div>
-<a class="anchor" id="a616d74fa946123f424193b007d5a6382"></a><!-- doxytag: member="defaults.h::DEF_SHOW_MATRIX" ref="a616d74fa946123f424193b007d5a6382" args="" -->
-<div class="memitem">
-<div class="memproto">
-      <table class="memname">
-        <tr>
-          <td class="memname">#define DEF_SHOW_MATRIX&nbsp;&nbsp;&nbsp;true</td>
-        </tr>
-      </table>
-</div>
-<div class="memdoc">
-<p>OUTPUT Default for "Show solution steps' matrices for every solution step" </p>
-
-</div>
-</div>
 </div>
 <!--- window showing the filter options -->
@@ -219,5 +182,5 @@
 </div>
 
-<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Mar 3 01:46:35 2010 for TSPSG: TSP Solver and Generator by&nbsp;
+<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Apr 8 23:15:53 2010 for TSPSG: TSP Solver and Generator by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>