Index: trunk/INSTALL.txt
===================================================================
--- trunk/INSTALL.txt	(revision 109)
+++ trunk/INSTALL.txt	(revision 110)
@@ -35,4 +35,7 @@
 or higher.
 
+NOTE: Please, note that there will be some regressions in functionality
+if your version of \em Qt is lower than the recommended.
+
 
 
@@ -164,5 +167,5 @@
     C:\Qt\bin\lrelease tspsg.pro
     C:\Qt\bin\qmake tspsg.pro CONFIG+=release
-	nmake
+    nmake
 
 If make step finished without errors you can install TSPSG by running
@@ -188,5 +191,5 @@
     lrelease tspsg.pro
     qmake tspsg.pro CONFIG+=release
-	nmake
+    nmake
 
 There is no automated installation process for Windows Mobile build. To
@@ -217,6 +220,6 @@
     make release-gcce
 
-NOTE: You need to unpack the source on the same drive as Qt and Symbian
-development tools.
+WARNING: You need to unpack the source to the same drive as Symbian SDK
+and the path must not contain any spaces or TSPSG won't build.
 
 If make step finished without errors you can generate sis installation
@@ -299,6 +302,6 @@
 qmake doesn't always enclose installation paths in quotes. This may
 cause some files not to be installed or removed when their path
-contains quotes. In this case it is safe to delete this files and TSPSG
-installation directory manually.
+contains spaces. In this case it is safe to delete these files and
+TSPSG installation directory manually.
 
 
Index: trunk/README.txt
===================================================================
--- trunk/README.txt	(revision 109)
+++ trunk/README.txt	(revision 110)
@@ -6,15 +6,15 @@
 
 TSPSG is intended to generate and solve Travelling Salesman Problem
-(TSP) tasks. It uses Branch and Bound method for solving. An input
-is number of cities and matrix of city-to-city travel costs.
-The matrix can be populated with random values in a given range
-(useful for generating tasks). The result is an optimal route, its
-price, step-by-step matrices of solving and solving graph. The task
-can be saved in internal binary format and opened later. The result
-can be printed without the answer (only input matrix) or with it.
+(TSP) tasks. It uses Branch and Bound method for solving. Its input is
+a number of cities and a matrix of city-to-city travel costs. The
+matrix can be populated with random values in a given range (which is
+useful for generating tasks). The result is an optimal route, its
+price, step-by-step matrices of solving and a solving graph. The task
+can be saved in an internal binary format and opened later. The result
+can be printed or saved as PDF, HTML, or ODF.
 
 TSPSG may be useful for teachers to generate test tasks or just for
 regular users to solve TSPs. Also, it may be used as an example of
-using Branch and bound method to solve particular task.
+using Branch and Bound method to solve a particular task.
 
 TSPSG is free software: you can redistribute it and/or modify it
Index: trunk/docs/dox/changelog.dox
===================================================================
--- trunk/docs/dox/changelog.dox	(revision 110)
+++ trunk/docs/dox/changelog.dox	(revision 110)
@@ -0,0 +1,103 @@
+/*! \page changelog TSPSG ChangeLog
+
+\author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+$Id$
+$URL$
+
+<hr>
+
+\section cl_toc Table of Contents
+
+  -# \ref cl_b100
+     -# \ref cl_b100_w
+     -# \ref cl_b100_i
+     -# \ref cl_b100_c
+     -# \ref cl_b100_b
+  -# \ref cl_b42
+     -# \ref cl_b42_f
+
+\attention This ChangeLog is updated only on releases.
+
+<hr>
+
+\section cl_b100 TSPSG v0.1.2 alpha 2 (build 100)
+
+\subsection cl_b100_w WHAT'S NEW
+
+  - New \b TSPSG icon.
+  - Symmetric mode: in this mode the cost of travel from city 1 to
+    city 2 and vice versa is the same.
+  - Printing of solution results (if the platform supports it).
+  - Saving solution to PDF (if the platform supports printing).
+  - An ability to reset all settings to their defaults: hold Shift
+    while clicking Save button in the Settings Dialog.
+  - An ability to generate fractional random numbers.
+  - An ability to set the fractional accuracy (in decimail places).
+  - An ability to select between using native and Qt's file dialogs
+    when opening and saving tasks and solutions.
+  - An ability to disable showing of the solution steps' matrices in
+    solution output.
+  - An ability to enable scroll to the end of the solution output after
+    solving.
+  - An ability ot enable automatic resize of columns and rows to their
+    contents on its change.
+  - Basic support for Symbian.
+  - Check for updates functionality (only in Windows version at this
+    moment).
+
+
+\subsection cl_b100_i IMPROVEMENTS
+
+  - Improved the solution algorithm.
+  - The maximum number of cities in task was increased to 50.
+  - List of alternate candidates for branching is now displayed.
+  - Warning about possible non-optimal result.
+  - Open a file, passed as command-line argument.
+  - Currently opened file name is displayed in the Main Window title.
+  - "Save Solution" and "Back to Task" buttons in Solution tab for
+    better usability.
+  - The size of the toolbar buttons is now determined based on the
+    device DPI in Windows Mobile and Symbian.
+  - SIP show/hide handling in Windows Mobile.
+  - Toolbar state and position are now saved and restored with the Main
+    Window state and position.
+  - Window translucency support in Windows Vista and Windows 7.
+
+\note Showing the solution steps' matrices is disabled by default
+for tasks with more than 15 cities to considerably speed up the
+generation of the solution output process.
+
+
+\subsection cl_b100_c CHANGES
+
+  - The resulting path is now sorted, always starts from City 1 and has
+    "City 1 -> City n -> ... -> City 1" format.
+  - Translations were moved from i18n to l10n folder to follow common
+    standards.
+  - Reworked the Settings Dialog layout.
+  - Reworked the About dialog.
+
+
+\subsection cl_b100_b BUGFIXES
+
+  - A solution couldn't be found for some tasks while the task had at
+    least one solution (mostly, tasks with a lot of restrictions).
+  - An error when loading .zkt file with less than 5 cities.
+  - Generated random numbers were not in the range defined by Minimum
+    and Maximum settings.
+
+<hr>
+
+\section cl_b42 TSPSG v0.1.1 alpha 1 (build 42)
+
+This is initial \b TSPSG release.
+
+\subsection cl_b42_f FEATURES
+
+  - Solving taks with up to 5 cities.
+  - Generating tasks.
+  - Saving solution results to HTML and ODF.
+  - Importing tasks from ZKomModRd.
+  - Multilinguality: English, Russian and Ukrainian languages.
+  - Linux/UNIX, Windows and Windows Mobile support.
+*/
Index: trunk/docs/dox/install.dox
===================================================================
--- trunk/docs/dox/install.dox	(revision 110)
+++ trunk/docs/dox/install.dox	(revision 110)
@@ -0,0 +1,320 @@
+/*! \page install TSPSG Installation Guide
+
+\author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+$Id$
+$URL$
+
+Thank you for trying \b TSPSG. This document will guide you through the
+steps necessary to compile and run \b TSPSG.
+
+<hr>
+
+\section i_toc Table of Contents
+
+  -# \ref i_s1
+  -# \ref i_s2
+  -# \ref i_s3
+  -# \ref i_s4
+     -# \ref i_s41
+     -# \ref i_s42
+     -# \ref i_s43
+        -# \ref i_s431
+        -# \ref i_s432
+     -# \ref i_s44
+     -# \ref i_s45
+     -# \ref i_s46
+  -# \ref i_s5
+  -# \ref i_s6
+     -# \ref i_s61
+  -# \ref i_s7
+  -# \ref i_s8
+
+<hr>
+
+\section i_s1 REQUIREMENTS
+
+To be able compile \b TSPSG you need to have <em>Qt libraries</em>\anchor cr1<sup>\ref r1 "[1]"</sup>. The minimum
+supported version of \em Qt is <b>4.4.0</b>. The recommended version is <b>4.5.x</b>
+or higher.
+
+\note Please, note that there will be some regressions in functionality
+if your version of \em Qt is lower than the recommended.
+
+<hr><hr>
+
+\section i_s2 ASSUMPTIONS
+
+This guide assumes that you already have <em>Qt libraries</em> and all necessary
+prerequisites installed.
+
+Also, the following assumptions are made:
+
+  - For \b Linux/UNIX: \c lrelease and \c qmake are avilable in \c $PATH.
+  - For \b Windows (\em minGW) and \b Symbian: you have installed <em>Qt SDK</em> or
+    prebuilt libraries and have Start Menu items for Qt tools.
+  - For \b Windows (<em>Visual Studio</em>) and <b>Windows Mobile</b>: the <em>Qt libraries</em>
+    reside in <tt>C:\\Qt\\</tt>.
+  - For <b>Windows Mobile</b>: <em>Windows Mobile 5.0 Pocket PC SDK</em> or later is
+    installed.
+
+<hr><hr>
+
+\section i_s3 SUPPORTED PLATFORMS
+
+\b TSPSG is oficially supported and tested on the following platforms:
+
+  - <b>Linux</b>: <em>Gentoo AMD64</em> and <em>Kubuntu 9.10 64-bit AMD</em>.
+  - <b>Windows</b>: <em>Windows XP 32-bit</em> and <em>Windows 7 64-bit</em>.
+  - <b>Windows Mobile</b>: <em>Windows Mobile 6.5 Professional Edition</em>.
+
+<hr><hr>
+
+\section i_s4 BUILDING AND INSTALLATION
+
+\subsection i_s41 GENERAL INSTALLATION PROCEDURE
+
+On most platforms the general building and installation procedure is:
+
+  -# Run \c lrelease to generate binary translation files (.qm) from the
+     source (.ts).
+  -# Run \c qmake with \c CONFIG+=release parameter to generate makefiles.
+  -# Run make utility (e.g., \c make, \c nmake, \c mingw32-make) to build \b TSPSG.
+  -# Run make utility with \c install parameter.
+
+\note It is important to run \c lrelease before \c qmake, or \c qmake will not
+"pick up" the translations when generating installation rules.
+
+<hr>
+
+\subsection i_s42 LINUX/UNIX
+
+Open a shell, navigate to the directory where you have \b TSPSG source
+downloaded and type
+
+\verbatim
+tar xvjf \b TSPSG-<VERSION>-src.tar.bz2
+cd \b TSPSG-<VERSION>-src
+\endverbatim
+
+where \<VERSION> is the version of \b TSPSG you downloaded. Now run
+
+\verbatim
+lrelease tspsg.pro
+qmake tspsg.pro
+make
+\endverbatim
+
+In some cases you may need to type
+
+\verbatim
+qmake tspsg.pro CONFIG+=release
+\endverbatim
+
+If make step finished without errors you can install \b TSPSG by running
+
+\verbatim
+sudo make install
+\endverbatim
+
+or
+
+\verbatim
+su
+make install
+\endverbatim
+
+depending on your distribution.
+
+By default, executable will go to \c /usr/bin, \c COPYING.txt and \c README.txt will go
+to \c /usr/share/\b TSPSG, translations will go \c /usr/share/\b TSPSG/l10n, all docs
+will go to <tt>/usr/share/doc/\b TSPSG-\<VERSION></tt>.
+
+<hr>
+
+\subsection i_s43 WINDOWS
+
+\note Please, read the section \ref i_s7 after reading this section.
+
+\subsubsection i_s431 USING MINGW
+
+Unpack the downloaded source code of \b TSPSG with your favourite
+compression software. Now launch the <em>Qt Command Prompt</em> from the Start
+Menu, navigate to the directory where you unpacked the source and run
+
+\verbatim
+lrelease tspsg.pro
+qmake tspsg.pro CONFIG+=release
+mingw32-make
+\endverbatim
+
+\note Make process may fail with a crash of \c windres.exe. If you've run
+into this issue, please, read the section \ref i_s61.
+
+If make step finished without errors you can install \b TSPSG by running
+
+\verbatim
+mingw32-make install
+\endverbatim
+
+\b TSPSG will be installed to \c \%PROGRAMFILES\%\\\b TSPSG folder (usually, it is
+<tt>C:\\Program Files\\\b TSPSG</tt>).
+
+
+\subsubsection i_s432 USING VISUAL STUDIO
+
+Unpack the downloaded source code of \b TSPSG with your favourite
+compression software. Now launch the <em>Visual Studio Command Prompt</em> from
+the Start Menu, navigate to the directory where you unpacked the source
+and run
+
+\verbatim
+C:\Qt\bin\lrelease tspsg.pro
+C:\Qt\bin\qmake tspsg.pro CONFIG+=release
+nmake
+\endverbatim
+
+If make step finished without errors you can install \b TSPSG by running
+
+\verbatim
+nmake install
+\endverbatim
+
+\b TSPSG will be installed to \c \%PROGRAMFILES\%\\\b TSPSG folder (usually, it is
+<tt>C:\\Program Files\\\b TSPSG</tt>).
+
+<hr>
+
+\subsection i_s44 WINDOWS CE/MOBILE
+
+Unpack the downloaded source code of \b TSPSG with your favourite
+compression software. Now launch the <em>Visual Studio Command Prompt</em> from
+the Start Menu and run
+
+\verbatim
+set PATH=C:\Qt\bin;\%PATH\%
+setcepaths wincewm50pocket-msvc2008
+\endverbatim
+
+Now navigate to the directory where you unpacked the source and run
+
+\verbatim
+lrelease tspsg.pro
+qmake tspsg.pro CONFIG+=release
+nmake
+\endverbatim
+
+There is no automated installation process for Windows Mobile build. To
+install \b TSPSG on your PDA you need to create a folder on your device
+and copy the following files to it:
+
+  - \b \b TSPSG.exe from \c release folder in the source directory.
+  - \b QtCore4.dll and \c QtGui4.dll from \c C:\\Qt\\bin folder.
+  - \b msvcr90.dll from <tt>C:\\Program Files\\Microsoft Visual Studio 9.0\\VC\\ce\\dll\\armv4i</tt> folder.
+  - all <b>*.qm</b> files from \c l10n folder in the source directory to \c l10n subfolder.
+
+<hr>
+
+\section i_s45 SYMBIAN
+
+Unpack the downloaded source code of \b TSPSG with your favourite
+compression software. Now launch the <em>Qt for Symbian Command Prompt</em> from
+the Start Menu, navigate to the directory where you unpacked the source
+and run
+
+\verbatim
+lrelease tspsg.pro
+qmake tspsg.pro CONFIG+=release
+make release-gcce
+\endverbatim
+
+\warning You need to unpack the source to the <em>same drive</em> as <em>Symbian SDK</em>
+and the path <em>must not contain any spaces</em> or \b TSPSG won't build.
+
+If make step finished without errors you can generate sis installation
+file by running
+
+\verbatim
+make sis
+\endverbatim
+
+You'll get \c \b TSPSG.sis file in the source directory. Copy it to your
+phone and run or install it using <em>Nokia PC Suite</em>.
+
+\note You need to install <em>Qt libraries</em> on your device before installing
+\b TSPSG. Usually, it should be enough to install \c qt_installer.sis from
+the Qt installation directory.
+
+Alternatively, if you have installed <em>Nokia Smart Installer</em>\anchor cr2<sup>\ref r2 "[2]"</sup> you can run
+
+\verbatim
+make installer_sis
+\endverbatim
+
+You'll get an \c \b TSPSG_installer.sis that will automatically download and
+install the required <em>Qt libraries</em> on \b TSPSG installation.
+
+\note Please, be aware that you have to sign the sis file to be able to
+install it on your device. You can use <em>Open Signed Online</em>\anchor cr3<sup>\ref r3 "[3]"</sup> to quickly
+sign the sis file for your device. Alternatively, you can try to enable
+the installation of self-signed files in the phone settings. Please,
+reffer to your phone manual on the instructions how to do this.
+
+<hr>
+
+\subsection i_s46 OTHER PLATFORMS, SUPPORTED BY QT
+
+While \b TSPSG is oficially supported only on \b Linux, \b Windows and <b>Windows
+Mobile</b> it should be possible to compile it on any platform, supported
+by \em Qt. To do so, please, refer to the section \ref i_s41 for the general build
+and installation procedure.
+
+<hr><hr>
+
+\section i_s5 UNINSTALLATION
+
+Usually, it is enough to replace \c install parameter with \c uninstall
+in the installation command from the section \ref i_s4. Alternatively, you can manually
+delete all installed \b TSPSG files and directories.
+
+<hr><hr>
+
+\section i_s6 TROUBLESHOOTING
+
+\subsection i_s61 WINDRES.EXE CRASH
+
+When building under \b Windows using <em>minGW</em> toolchain make process may fail
+with \c windres.exe crash (access violation). This is a known bug in
+\c windres.exe regarding processing resource files with \c UTF-8 (\c cp65001)
+encoding\anchor cr4<sup>\ref r4 "[4]"</sup>. To be able to successfully build \b TSPSG you will need to
+download and replace \c windres.exe with a fixed version. To do this:
+
+  -# Open https://sourceforge.net/projects/mingw/files/ in your
+     favourite browser.
+  -# Find and download the latest version of <em>GNU Binutils</em>. At the time
+     of writing this guide it was \c binutils-2.20.1-2-mingw32-bin.tar.gz.
+  -# Unpack the file \c bin\windres.exe from the downloaded archive to
+     <tt>\<Your Qt installation path>\\mingw\\bin\\</tt> replacing the existing one.
+  -# Now run
+\verbatim
+mingw32-make distclean
+\endverbatim
+     in the \b TSPSG directory and repeat the installation process.
+
+<hr><hr>
+
+\section i_s7 NOTES
+
+\c qmake doesn't always enclose installation paths in quotes. This may
+cause some files not to be installed or removed when their path
+contains spaces. In this case it is safe to delete these files and \b TSPSG
+installation directory manually.
+
+<hr><hr>
+
+\section i_s8 REFERNECES
+
+  -# \anchor r1 \ref cr1 "^" http://qt.nokia.com/
+  -# \anchor r2 \ref cr1 "^" http://qt.nokia.com/developer/nokia-smart-installer-for-symbian
+  -# \anchor r3 \ref cr2 "^" https://www.symbiansigned.com/app/page/public/openSignedOnline.do
+  -# \anchor r4 \ref cr3 "^" http://sourceware.org/bugzilla/show_bug.cgi?id=10165
+*/
Index: trunk/docs/dox/license.dox
===================================================================
--- trunk/docs/dox/license.dox	(revision 110)
+++ trunk/docs/dox/license.dox	(revision 110)
@@ -0,0 +1,4 @@
+/*! \page license GNU General Public License
+
+\verbinclude COPYING
+*/
Index: trunk/docs/dox/mainpage.dox
===================================================================
--- trunk/docs/dox/mainpage.dox	(revision 110)
+++ trunk/docs/dox/mainpage.dox	(revision 110)
@@ -0,0 +1,63 @@
+/*! \mainpage
+<!--
+$Id$
+$URL$
+-->
+
+\image html tspsg.png
+<b>TSPSG: TSP Solver and Generator</b>
+\author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+
+\b Homepage: <a href="http://tspsg.sourceforge.net/">tspsg.sourceforge.net</a>
+
+\section m_s1 ABOUT TSPSG
+
+\b TSPSG is intended to generate and solve <b>Travelling Salesman Problem</b>
+(TSP) tasks. It uses <em>Branch and Bound method</em> for solving. Its input is
+a number of cities and a matrix of city-to-city travel costs. The
+matrix can be populated with random values in a given range (which is
+useful for generating tasks). The result is an optimal route, its
+price, step-by-step matrices of solving and a solving graph. The task
+can be saved in an internal binary format and opened later. The result
+can be printed or saved as \b PDF, \b HTML, or \b ODF.
+
+\b TSPSG may be useful for teachers to generate test tasks or just for
+regular users to solve TSPs. Also, it may be used as an example of
+using <em>Branch and Bound method</em> to solve a particular task.
+
+
+\section m_s2 DOCUMENTATION PAGES
+
+\ref changelog
+
+  -# \ref cl_b100
+  -# \ref cl_b42
+
+
+\ref install
+
+  -# \ref i_s1
+  -# \ref i_s2
+  -# \ref i_s3
+  -# \ref i_s4
+  -# \ref i_s5
+  -# \ref i_s6
+  -# \ref i_s7
+  -# \ref i_s8
+
+
+\section m_s3 LICENSE
+
+\b TSPSG is free software: you can redistribute it and/or modify\n
+it under the terms of the GNU General Public License as published by\n
+the Free Software Foundation, either version 3 of the License, or\n
+(at your option) any later version.\n
+
+\b TSPSG is distributed in the hope that it will be useful,\n
+but WITHOUT ANY WARRANTY; without even the implied warranty of\n
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n
+\ref license "GNU General Public License" for more details.\n
+
+You should have received a copy of the \ref license "GNU General Public License"\n
+along with \b TSPSG.  If not, see <http://www.gnu.org/licenses/>.
+*/
Index: trunk/doxygen.conf
===================================================================
--- trunk/doxygen.conf	(revision 109)
+++ trunk/doxygen.conf	(revision 110)
@@ -597,5 +597,5 @@
 # with spaces.
 
-INPUT                  = src
+INPUT                  = src docs/dox
 
 # This tag can be used to specify the character encoding of the source files 
@@ -650,5 +650,5 @@
 # If left blank NO is used.
 
-RECURSIVE              = YES
+RECURSIVE              = NO
 
 # The EXCLUDE tag can be used to specify files and/or directories that should 
@@ -684,5 +684,5 @@
 # the \include command).
 
-EXAMPLE_PATH           = 
+EXAMPLE_PATH           = .
 
 # If the value of the EXAMPLE_PATH tag contains directories, you can use the 
Index: trunk/src/mainwindow.cpp
===================================================================
--- trunk/src/mainwindow.cpp	(revision 109)
+++ trunk/src/mainwindow.cpp	(revision 110)
@@ -666,5 +666,5 @@
 
 	cur.insertBlock(fmt_paragraph);
-	cur.insertText("  " + solver.getSortedPath());
+	cur.insertText("  " + solver.getSortedPath(tr("City %1")));
 
 	cur.insertBlock(fmt_paragraph);
@@ -861,5 +861,5 @@
 		pic.drawLine(QPointF(x, y - r), QPointF(r * 2.25, y - 2 * r));
 	} else if (nstep > 1) {
-		pic.drawLine(QPointF(x, y - r), QPointF((step->pNode->next == SStep::RightBranch) ? r * 3.5 : r, y - 2 * r));
+		pic.drawLine(QPointF(x, y - r), QPointF((step->pNode->pNode->next == SStep::RightBranch) ? r * 3.5 : r, y - 2 * r));
 	}
 
Index: trunk/src/tspsolver.cpp
===================================================================
--- trunk/src/tspsolver.cpp	(revision 109)
+++ trunk/src/tspsolver.cpp	(revision 110)
@@ -71,7 +71,12 @@
 /*!
  * \brief Returns the sorted optimal path, starting from City 1.
+ * \param city A string that represents city elements in the path.
+ * \param separator A string that represents separators between cities in the path.
  * \return A string, containing sorted optimal path.
- */
-QString CTSPSolver::getSortedPath() const
+ *
+ *  The resulting path will be in the form \a city+\a separator+\a city+...+\a separator+\a city.
+ *  \c \%1 in \a city will be replaced by the city number.
+ */
+QString CTSPSolver::getSortedPath(const QString &city, const QString &separator) const
 {
 	if (!root || route.isEmpty() || (route.size() != nCities))
@@ -79,12 +84,13 @@
 
 int i = 0; // We start from City 1
-QString path = tr("City %1").arg(1) + " -> ";
+QStringList path;
+	path << city.arg(1);
 	while ((i = route[i]) != 0) {
-		path += tr("City %1").arg(i + 1) + " -> ";
+		path << city.arg(i + 1);
 	}
 	// And finish in City 1, too
-	path += tr("City %1").arg(1);
-
-	return path;
+	path << city.arg(1);
+
+	return path.join(separator);
 }
 
Index: trunk/src/tspsolver.h
===================================================================
--- trunk/src/tspsolver.h	(revision 109)
+++ trunk/src/tspsolver.h	(revision 110)
@@ -113,5 +113,5 @@
 	CTSPSolver(QObject *parent = NULL);
 	void cleanup(bool processEvents = false);
-	QString getSortedPath() const;
+	QString getSortedPath(const QString &city, const QString &separator = " -> ") const;
 	int getTotalSteps() const;
 	bool isOptimal() const;
Index: trunk/src/version.h
===================================================================
--- trunk/src/version.h	(revision 109)
+++ trunk/src/version.h	(revision 110)
@@ -11,25 +11,4 @@
  *
  *  This file is part of TSPSG.
- *
- *  TSPSG is free software: you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
- *  (at your option) any later version.
- *
- *  TSPSG is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with TSPSG.  If not, see <http://www.gnu.org/licenses/>.
- */
-/*!
- * \mainpage
- * \image html tspsg.png
- *  <b>TSPSG: TSP Solver and Generator</b>
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
- *
- *  \b Homepage: <a href="http://tspsg.sourceforge.net/">tspsg.sourceforge.net</a>
  *
  *  TSPSG is free software: you can redistribute it and/or modify