Index: trunk/src/defaults.h
===================================================================
--- trunk/src/defaults.h	(revision 115)
+++ trunk/src/defaults.h	(revision 116)
@@ -67,13 +67,6 @@
 //! Default for "Show solution graph"
 #define DEF_SHOW_GRAPH true
-/*!
- * \def DEF_GRAPH_IMAGE_FORMAT
- * \brief Default for "Save solution graph as"
- */
-#if !defined(NOSVG) && (QT_VERSION >= 0x040500)
-	#define DEF_GRAPH_IMAGE_FORMAT "svg"
-#else
-	#define DEF_GRAPH_IMAGE_FORMAT "png"
-#endif // NOSVG && QT_VERSION >= 0x040500
+//! Default for "Save solution graph as"
+#define DEF_GRAPH_IMAGE_FORMAT "png"
 //! Default for "Show solution steps' matrices for every solution step"
 #define DEF_SHOW_MATRIX true
@@ -91,5 +84,5 @@
 	#define DEF_FONT_FAMILY "Tahoma"
 #else
-	#define DEF_FONT_FAMILY "Courier New"
+	#define DEF_FONT_FAMILY "monospace"
 #endif // Q_OS_WINCE_WM
 /*!
Index: trunk/src/globals.cpp
===================================================================
--- trunk/src/globals.cpp	(revision 115)
+++ trunk/src/globals.cpp	(revision 116)
Index: trunk/src/globals.h
===================================================================
--- trunk/src/globals.h	(revision 115)
+++ trunk/src/globals.h	(revision 116)
Index: trunk/src/main.cpp
===================================================================
--- trunk/src/main.cpp	(revision 115)
+++ trunk/src/main.cpp	(revision 116)
Index: trunk/src/mainwindow.cpp
===================================================================
--- trunk/src/mainwindow.cpp	(revision 115)
+++ trunk/src/mainwindow.cpp	(revision 116)
@@ -1189,5 +1189,5 @@
 {
 	this->fileName = fileName;
-	setWindowTitle(QString("%1[*] - %2").arg(QFileInfo(fileName).completeBaseName()).arg(tr("Travelling Salesman Problem")));
+	setWindowTitle(QString("%1[*] - %2").arg(QFileInfo(fileName).completeBaseName()).arg(QApplication::applicationName()));
 }
 
Index: trunk/src/mainwindow.h
===================================================================
--- trunk/src/mainwindow.h	(revision 115)
+++ trunk/src/mainwindow.h	(revision 116)
Index: trunk/src/os.h
===================================================================
--- trunk/src/os.h	(revision 115)
+++ trunk/src/os.h	(revision 116)
Index: trunk/src/pch.h
===================================================================
--- trunk/src/pch.h	(revision 115)
+++ trunk/src/pch.h	(revision 116)
Index: trunk/src/qtwin.cpp
===================================================================
--- trunk/src/qtwin.cpp	(revision 115)
+++ trunk/src/qtwin.cpp	(revision 116)
Index: trunk/src/qtwin.h
===================================================================
--- trunk/src/qtwin.h	(revision 115)
+++ trunk/src/qtwin.h	(revision 116)
Index: trunk/src/resource.h
===================================================================
--- trunk/src/resource.h	(revision 115)
+++ trunk/src/resource.h	(revision 116)
Index: trunk/src/settingsdialog.cpp
===================================================================
--- trunk/src/settingsdialog.cpp	(revision 115)
+++ trunk/src/settingsdialog.cpp	(revision 116)
@@ -223,5 +223,5 @@
 	cbScrollToEnd->setChecked(settings->value("ScrollToEnd", DEF_SCROLL_TO_END).toBool());
 
-	font = settings->value("Font",QFont(DEF_FONT_FAMILY,DEF_FONT_SIZE)).value<QFont>();
+	font = settings->value("Font",QFont(DEF_FONT_FAMILY, DEF_FONT_SIZE)).value<QFont>();
 	color = settings->value("Colors/Text", DEF_TEXT_COLOR).value<QColor>();
 	settings->endGroup();
Index: trunk/src/settingsdialog.h
===================================================================
--- trunk/src/settingsdialog.h	(revision 115)
+++ trunk/src/settingsdialog.h	(revision 116)
Index: trunk/src/tspmodel.cpp
===================================================================
--- trunk/src/tspmodel.cpp	(revision 115)
+++ trunk/src/tspmodel.cpp	(revision 116)
Index: trunk/src/tspmodel.h
===================================================================
--- trunk/src/tspmodel.h	(revision 115)
+++ trunk/src/tspmodel.h	(revision 116)
Index: trunk/src/tspsolver.cpp
===================================================================
--- trunk/src/tspsolver.cpp	(revision 115)
+++ trunk/src/tspsolver.cpp	(revision 116)
Index: trunk/src/tspsolver.h
===================================================================
--- trunk/src/tspsolver.h	(revision 115)
+++ trunk/src/tspsolver.h	(revision 116)
Index: trunk/src/version.h
===================================================================
--- trunk/src/version.h	(revision 115)
+++ trunk/src/version.h	(revision 116)