Index: trunk/docs/tspsg.tag
===================================================================
--- trunk/docs/tspsg.tag	(revision 128)
+++ trunk/docs/tspsg.tag	(revision 129)
@@ -29,4 +29,11 @@
     <member kind="define">
       <type>#define</type>
+      <name>DEF_SAVE_LAST_USED</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a02da61748796e418a0919b08a513eaed</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
       <name>DEF_USE_NATIVE_DIALOGS</name>
       <anchorfile>defaults_8h.html</anchorfile>
@@ -99,4 +106,11 @@
     <member kind="define">
       <type>#define</type>
+      <name>DEF_HQ_GRAPH</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a351e58750bbb3904d900734fb5ab1ca8</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
       <name>DEF_SHOW_MATRIX</name>
       <anchorfile>defaults_8h.html</anchorfile>
@@ -123,4 +137,11 @@
       <anchorfile>defaults_8h.html</anchorfile>
       <anchor>a6831bc2c2f11c3a14382c8fbe8d87efe</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_FONT_FACE</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>afdd3c568d87924da83cb8bfcedb3722d</anchor>
       <arglist></arglist>
     </member>
@@ -246,11 +267,4 @@
       <anchor>a594842d2fcaf774c3c42b944f3f031d2</anchor>
       <arglist>(double x)</arglist>
-    </member>
-    <member kind="function">
-      <type>QString</type>
-      <name>getDefaultFont</name>
-      <anchorfile>globals_8h.html</anchorfile>
-      <anchor>a0b35409ae9db3b8db49ca9937447fc5b</anchor>
-      <arglist>()</arglist>
     </member>
     <member kind="function">
Index: trunk/resources/common.qrc
===================================================================
--- trunk/resources/common.qrc	(revision 128)
+++ trunk/resources/common.qrc	(revision 129)
@@ -20,4 +20,5 @@
     <qresource prefix="/files">
         <file>COPYING</file>
+        <file>DejaVuLGCSansMono.ttf</file>
     </qresource>
 </RCC>
Index: trunk/src/defaults.h
===================================================================
--- trunk/src/defaults.h	(revision 128)
+++ trunk/src/defaults.h	(revision 129)
@@ -81,4 +81,6 @@
 //! Default for "Scroll to the end of output after solving"
 #define DEF_SCROLL_TO_END false
+//! Default font face
+#define DEF_FONT_FACE "DejaVu LGC Sans Mono"
 /*!
  * \def DEF_FONT_SIZE
Index: trunk/src/globals.h
===================================================================
--- trunk/src/globals.h	(revision 128)
+++ trunk/src/globals.h	(revision 129)
@@ -108,19 +108,4 @@
 }
 
-/*!
- * \brief Returns the default font for solution output.
- * \return The family name of the default font.
- */
-inline QString getDefaultFont()
-{
-QFont f;
-#ifdef HANDHELD
-	f.setStyleHint(QFont::SansSerif);
-#else // HANDHELD
-	f.setStyleHint(QFont::TypeWriter);
-#endif // HANDHELD
-	return f.defaultFamily();
-}
-
 #ifdef Q_OS_WIN32
 /*!
Index: trunk/src/main.cpp
===================================================================
--- trunk/src/main.cpp	(revision 128)
+++ trunk/src/main.cpp	(revision 129)
@@ -53,4 +53,6 @@
 	qsrand(QDateTime::currentDateTime().toTime_t() ^ QCursor::pos().x() ^ QCursor::pos().y());
 
+	QFontDatabase::addApplicationFont(":/files/DejaVuLGCSansMono.ttf");
+
 QTranslator en;
 	if (en.load("tspsg_en", PATH_L10N))
Index: trunk/src/mainwindow.cpp
===================================================================
--- trunk/src/mainwindow.cpp	(revision 128)
+++ trunk/src/mainwindow.cpp	(revision 129)
@@ -748,5 +748,5 @@
 		pic.begin(&graph);
 		pic.setRenderHints(QPainter::Antialiasing | QPainter::SmoothPixmapTransform);
-QFont font = settings->value("Output/Font", QFont(getDefaultFont(), 9)).value<QFont>();
+QFont font = settings->value("Output/Font", QFont(DEF_FONT_FACE, 9)).value<QFont>();
 		if (settings->value("Output/HQGraph", DEF_HQ_GRAPH).toBool()) {
 			font.setWeight(QFont::DemiBold);
@@ -1145,5 +1145,5 @@
 void MainWindow::initDocStyleSheet()
 {
-	solutionText->document()->setDefaultFont(settings->value("Output/Font", QFont(getDefaultFont(), DEF_FONT_SIZE)).value<QFont>());
+	solutionText->document()->setDefaultFont(settings->value("Output/Font", QFont(DEF_FONT_FACE, DEF_FONT_SIZE)).value<QFont>());
 
 	fmt_paragraph.setTopMargin(0);
Index: trunk/src/settingsdialog.cpp
===================================================================
--- trunk/src/settingsdialog.cpp	(revision 128)
+++ trunk/src/settingsdialog.cpp	(revision 129)
@@ -255,5 +255,5 @@
 	cbScrollToEnd->setChecked(settings->value("ScrollToEnd", DEF_SCROLL_TO_END).toBool());
 
-	font = settings->value("Font", QFont(getDefaultFont(), DEF_FONT_SIZE)).value<QFont>();
+	font = settings->value("Font", QFont(DEF_FONT_FACE, DEF_FONT_SIZE)).value<QFont>();
 	color = settings->value("Colors/Text", DEF_TEXT_COLOR).value<QColor>();
 	settings->endGroup();
@@ -301,5 +301,5 @@
 	if (QApplication::keyboardModifiers() & Qt::ShiftModifier) {
 		if (QMessageBox::question(this, tr("Settings Reset"), tr("Do you really want to <b>reset all application settings to their defaults</b>?"), QMessageBox::RestoreDefaults | QMessageBox::Cancel) == QMessageBox::RestoreDefaults) {
-			_newFont = (font != QFont(getDefaultFont(), DEF_FONT_SIZE));
+			_newFont = (font != QFont(DEF_FONT_FACE, DEF_FONT_SIZE));
 			_newColor = (color != DEF_TEXT_COLOR);
 			settings->remove("");