Index: /trunk/src/globals.cpp
===================================================================
--- /trunk/src/globals.cpp	(revision 149)
+++ /trunk/src/globals.cpp	(revision 150)
@@ -24,5 +24,5 @@
 #include "globals.h"
 
-#ifdef Q_WS_WIN32
+#ifndef HANDHELD
 void toggleStyle(QWidget *widget, bool enable)
 {
@@ -33,3 +33,3 @@
     }
 }
-#endif // Q_WS_WIN32
+#endif // HANDHELD
Index: /trunk/src/globals.h
===================================================================
--- /trunk/src/globals.h	(revision 149)
+++ /trunk/src/globals.h	(revision 150)
@@ -59,8 +59,8 @@
 // TSPSolver
 #include "tspsolver.h"
-#ifdef Q_WS_WIN32
-    // Vista/7 Eyecandy
+#ifndef HANDHELD
+    // Eyecandy
 #   include "qtwin.h"
-#endif // Q_WS_WIN32
+#endif // HANDHELD
 
 // DEFINES
@@ -129,5 +129,5 @@
 }
 
-#ifdef Q_WS_WIN32
+#ifndef HANDHELD
 /*!
  * \brief Enables or disables a mask for the \a widget.
@@ -138,5 +138,5 @@
  */
 void toggleStyle(QWidget *widget, bool enable);
-#endif // Q_WS_WIN32
+#endif // HANDHELD
 
 #ifndef DOXYGEN_EXCLUDE
Index: /trunk/src/mainwindow.cpp
===================================================================
--- /trunk/src/mainwindow.cpp	(revision 149)
+++ /trunk/src/mainwindow.cpp	(revision 150)
@@ -25,5 +25,5 @@
 
 #ifdef Q_WS_WIN32
-    #include "shobjidl.h"
+#   include "shobjidl.h"
 #endif
 
@@ -396,5 +396,5 @@
         if (untitled)
             setFileName();
-#ifdef Q_WS_WIN32
+#ifndef HANDHELD
         if (QtWin::isCompositionEnabled() && settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool())  {
             toggleStyle(labelVariant, true);
@@ -610,10 +610,10 @@
     connect(bb, SIGNAL(accepted()), dlg, SLOT(accept()));
 
-#ifdef Q_WS_WIN32
-    // Adding some eyecandy in Vista and 7 :-)
+#ifndef HANDHELD
+    // Adding some eyecandy
     if (QtWin::isCompositionEnabled())  {
         QtWin::enableBlurBehindWindow(dlg, true);
     }
-#endif // Q_WS_WIN32
+#endif // HANDHELD
 
     dlg->resize(450, 350);
@@ -1030,9 +1030,5 @@
 void MainWindow::solverRoutePartFound(int n)
 {
-#ifdef Q_WS_WIN32
     tl->SetProgressValue(winId(), n, spinCities->value() * 2);
-#else
-    Q_UNUSED(n);
-#endif // Q_WS_WIN32
 }
 #endif // Q_WS_WIN32
@@ -1661,10 +1657,10 @@
     retranslateUi(false);
 
-#ifdef Q_WS_WIN32
-    // Adding some eyecandy in Vista and 7 :-)
+#ifndef HANDHELD
+    // Adding some eyecandy
     if (QtWin::isCompositionEnabled() && settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool())  {
         toggleTranclucency(true);
     }
-#endif // Q_WS_WIN32
+#endif // HANDHELD
 }
 
@@ -1682,5 +1678,5 @@
 void MainWindow::toggleTranclucency(bool enable)
 {
-#ifdef Q_WS_WIN32
+#ifndef HANDHELD
     toggleStyle(labelVariant, enable);
     toggleStyle(labelCities, enable);
@@ -1690,5 +1686,5 @@
 #else
     Q_UNUSED(enable);
-#endif // Q_WS_WIN32
+#endif // HANDHELD
 }
 
Index: /trunk/src/qtwin.cpp
===================================================================
--- /trunk/src/qtwin.cpp	(revision 149)
+++ /trunk/src/qtwin.cpp	(revision 150)
@@ -103,6 +103,11 @@
             return isEnabled;
     }
-#endif
     return false;
+#elif !defined(HANDHELD)
+    //! \todo TODO: Check for trsnsparency support in other OSes.
+    return true;
+#else
+    return false;
+#endif
 }
 
@@ -125,6 +130,8 @@
         bb.dwFlags = DWM_BB_ENABLE;
         bb.hRgnBlur = NULL;
+#endif
         widget->setAttribute(Qt::WA_TranslucentBackground, enable);
         widget->setAttribute(Qt::WA_NoSystemBackground, enable);
+#ifdef Q_WS_WIN
         hr = pDwmEnableBlurBehindWindow(widget->winId(), &bb);
         if (SUCCEEDED(hr)) {
Index: /trunk/src/settingsdialog.cpp
===================================================================
--- /trunk/src/settingsdialog.cpp	(revision 149)
+++ /trunk/src/settingsdialog.cpp	(revision 150)
@@ -142,5 +142,5 @@
 QVBoxLayout *vbox; // Layout helper
 
-#ifdef Q_WS_WIN32
+#ifndef HANDHELD
     if (QtWin::isCompositionEnabled()) {
         cbUseTranslucency = new QCheckBox(bgWhite);
@@ -152,5 +152,5 @@
         cbUseTranslucency->setCursor(QCursor(Qt::PointingHandCursor));
     }
-#endif // Q_WS_WIN32
+#endif // HANDHELD
 
     cbSaveState = new QCheckBox(bgWhite);
@@ -198,8 +198,8 @@
     box = static_cast<QBoxLayout *>(tabGeneral->layout());
     box->insertWidget(box->indexOf(cbUseNativeDialogs) + 1, cbSaveState);
-#ifdef Q_WS_WIN32
+#ifndef HANDHELD
     if (QtWin::isCompositionEnabled())
         box->insertWidget(box->indexOf(cbUseNativeDialogs) + 1, cbUseTranslucency);
-#endif // Q_WS_WIN32
+#endif // HANDHELD
 
     // Inserting label for hints to the bottom part (with grey bg)
@@ -234,8 +234,8 @@
     cbSaveLastUsed->setChecked(settings->value("SaveLastUsed", DEF_SAVE_LAST_USED).toBool());
     cbUseNativeDialogs->setChecked(settings->value("UseNativeDialogs", DEF_USE_NATIVE_DIALOGS).toBool());
-#ifdef Q_WS_WIN32
+#ifndef HANDHELD
     if (QtWin::isCompositionEnabled())
         cbUseTranslucency->setChecked(settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool());
-#endif // Q_WS_WIN32
+#endif // HANDHELD
 #ifndef HANDHELD
     cbSaveState->setChecked(settings->value("SavePos", DEF_SAVEPOS).toBool());
@@ -353,5 +353,5 @@
     settings->setValue("SaveLastUsed", cbSaveLastUsed->isChecked());
     settings->setValue("UseNativeDialogs", cbUseNativeDialogs->isChecked());
-#ifdef Q_WS_WIN32
+#ifndef HANDHELD
     if (QtWin::isCompositionEnabled()) {
 bool old = settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool();
@@ -362,6 +362,4 @@
         settings->setValue("UseTranslucency", cbUseTranslucency->isChecked());
     }
-#endif // Q_WS_WIN32
-#ifndef HANDHELD
     settings->setValue("SavePos", cbSaveState->isChecked());
 #endif // HANDHELD
Index: /trunk/src/settingsdialog.h
===================================================================
--- /trunk/src/settingsdialog.h	(revision 149)
+++ /trunk/src/settingsdialog.h	(revision 150)
@@ -56,7 +56,7 @@
     QSettings *settings;
     QHBoxLayout *layoutCitiesLimit;
-#ifdef Q_WS_WIN32
+#ifndef HANDHELD
     QCheckBox *cbUseTranslucency;
-#endif // Q_WS_WIN32
+#endif // HANDHELD
     QCheckBox *cbCheck4Updates;
     QSpinBox *spinUpdateCheckInterval;