Index: trunk/src/_.h
===================================================================
--- trunk/src/_.h	(revision 150)
+++ trunk/src/_.h	(revision 151)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: trunk/src/defaults.h
===================================================================
--- trunk/src/defaults.h	(revision 150)
+++ trunk/src/defaults.h	(revision 151)
@@ -1,5 +1,5 @@
 /*!
  * \file defaults.h
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: trunk/src/globals.cpp
===================================================================
--- trunk/src/globals.cpp	(revision 150)
+++ trunk/src/globals.cpp	(revision 151)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: trunk/src/globals.h
===================================================================
--- trunk/src/globals.h	(revision 150)
+++ trunk/src/globals.h	(revision 151)
@@ -1,5 +1,5 @@
 /*!
  * \file globals.h
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: trunk/src/main.cpp
===================================================================
--- trunk/src/main.cpp	(revision 150)
+++ trunk/src/main.cpp	(revision 151)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: trunk/src/mainwindow.cpp
===================================================================
--- trunk/src/mainwindow.cpp	(revision 150)
+++ trunk/src/mainwindow.cpp	(revision 151)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: trunk/src/mainwindow.h
===================================================================
--- trunk/src/mainwindow.h	(revision 150)
+++ trunk/src/mainwindow.h	(revision 151)
@@ -1,5 +1,5 @@
 /*!
  * \file mainwindow.h
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
@@ -45,5 +45,5 @@
 /*!
  * \brief Class for handling Main Window UI and logic.
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  */
 class MainWindow: public QMainWindow, Ui::MainWindow
Index: trunk/src/os.h
===================================================================
--- trunk/src/os.h	(revision 150)
+++ trunk/src/os.h	(revision 151)
@@ -1,5 +1,5 @@
 /*!
  * \file os.h
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: trunk/src/resource.h
===================================================================
--- trunk/src/resource.h	(revision 150)
+++ trunk/src/resource.h	(revision 151)
@@ -1,5 +1,5 @@
 /*!
  * \file resource.h
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: trunk/src/settingsdialog.cpp
===================================================================
--- trunk/src/settingsdialog.cpp	(revision 150)
+++ trunk/src/settingsdialog.cpp	(revision 151)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: trunk/src/settingsdialog.h
===================================================================
--- trunk/src/settingsdialog.h	(revision 150)
+++ trunk/src/settingsdialog.h	(revision 151)
@@ -1,5 +1,5 @@
 /*!
  * \file settingsdialog.h
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
@@ -35,5 +35,5 @@
 /*!
  * \brief Class for handling Settings Dialog UI and logic.
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  */
 class SettingsDialog: public QDialog, Ui::SettingsDialog
Index: trunk/src/tspmodel.cpp
===================================================================
--- trunk/src/tspmodel.cpp	(revision 150)
+++ trunk/src/tspmodel.cpp	(revision 151)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: trunk/src/tspmodel.h
===================================================================
--- trunk/src/tspmodel.h	(revision 150)
+++ trunk/src/tspmodel.h	(revision 151)
@@ -1,5 +1,5 @@
 /*!
  * \file tspmodel.h
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
@@ -33,5 +33,5 @@
 /*!
  * \brief This class implements table model for manipulating a task.
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  */
 class CTSPModel: public QAbstractTableModel
Index: trunk/src/tspsolver.cpp
===================================================================
--- trunk/src/tspsolver.cpp	(revision 150)
+++ trunk/src/tspsolver.cpp	(revision 151)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: trunk/src/tspsolver.h
===================================================================
--- trunk/src/tspsolver.h	(revision 150)
+++ trunk/src/tspsolver.h	(revision 151)
@@ -1,5 +1,5 @@
 /*!
  * \file tspsolver.h
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
@@ -102,5 +102,5 @@
 /*!
  * \brief This class solves Travelling Salesman Problem task.
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  */
 class CTSPSolver: public QObject
Index: trunk/src/version.h
===================================================================
--- trunk/src/version.h	(revision 150)
+++ trunk/src/version.h	(revision 151)
@@ -1,5 +1,5 @@
 /*!
  * \file version.h
- * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$